CT(4)

NAME
ct - CS/80 cartridge tape interface

SYNOPSIS
ct0 at hpibbus? slave ?

DESCRIPTION
The cartridge tape interface as found in the 7946 and 9144 products provides a standard tape drive interface as described in mtio(4) with the following exceptions:

1.  There is only one density.

2.  Only the “raw” interface is supported.

3.  The MTIOCTOP ioctl(2) is limited. In particular, the command, MTFSR is not supported.

4.  The MTIOCGET ioctl(2) is not supported.

5.  The record size for read and write operations must be between 1K and 64K inclusive.

Special files rct0 through rct3 refer to rewind on close interfaces to drives 0 to 3. Files rct4 through rct7 refer to no-rewind interfaces. Files rct8 through rct11 refer to streaming rewind on close interfaces. (Only 9144 type devices can stream.) Lastly, rct12 through rct15 refer to streaming no-rewind interfaces.

SEE ALSO
mt(1), tar(1), mtio(4)

BUGS
Read and writes of less than 1024 bytes will not behave as expected.